<template>
  <div class="sidebar">
    <nuxt-link to="/profile/account" active-class="sidebar-active-link">
      — Маълумотҳо
    </nuxt-link>
    <template
      v-if="
        $auth.user.specialization !== 'Омӯзгор' &&
        $auth.user.specialization !== 'Маъмур'
      "
    >
      <nuxt-link to="/profile/education" active-class="sidebar-active-link">
        — Омӯзишҳо
      </nuxt-link>
      <nuxt-link to="/profile/gradebook" active-class="sidebar-active-link">
        — Дафтарчаи санҷишӣ
      </nuxt-link>
    </template>
    <!-- class="notranslate" -->
    <template v-if="$auth.user.specialization == 'Омӯзгор'">
      <nuxt-link to="/profile/exercises" active-class="sidebar-active-link">
        — Вазифахо
      </nuxt-link>
    </template>
    <template v-if="$auth.user.specialization == 'Маъмур'">
      <nuxt-link to="/profile/settings" active-class="sidebar-active-link">
        — Танзимотҳо
      </nuxt-link>
      <nuxt-link to="/profile/applications" active-class="sidebar-active-link">
        — Дархостҳо
      </nuxt-link>
      <nuxt-link to="/profile/banner" active-class="sidebar-active-link">
        — Баннер
      </nuxt-link>
    </template>
  </div>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
.sidebar {
  max-width:290px;
  width: 100%;
  height: fit-content;
  padding: 20px;
  position: sticky;
  background-color: #fff;
  box-shadow: 1px 1.732px 10px 0 rgb(0 0 0 / 5%);
  display: flex;
  flex-direction: column;
  position: sticky;
  top: 80px;
  @include less-than(tablet) {
    position: inherit;
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
  }
  a {
    border-bottom: 1px solid #0c62e41f;
    padding: 15px 0;
    transition: all ease 0.3s;
    &:hover {
      background-color: #b8cff01f;
      color: #0c63e4;
    }
    &:nth-last-child(1) {
      border-bottom: none;
    }
  }

  &-active-link {
    color: #0c63e4;
  }
}
</style>
